Package org.jfree.layouting.renderer.process.valign

## Class VerticalAlignmentProcessor

- java.lang.Object
- - org.jfree.layouting.renderer.process.valign.VerticalAlignmentProcessor

-     public class VerticalAlignmentProcessor
      extends java.lang.Object

  There's only one alignment processor for the vertical layouting. The processor is non-iterative, it receives a single primary sequence (which represents a line) and processes that fully.

  As result, this processor generates a list of offsets and heights; the offset of the outermost element is always zero and the height is equal to the height of the whole line.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VerticalAlignmentProcessor​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `align​(BoxAlignContext alignStructure, long y1, long lineHeight)` |
    `protected void` | `print​(BoxAlignContext alignContext, int level)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VerticalAlignmentProcessor

          public VerticalAlignmentProcessor​()

  - ### Method Detail

    - #### align

          public void align​(BoxAlignContext alignStructure,
                            long y1,
                            long lineHeight)

    - #### print

          protected void print​(BoxAlignContext alignContext,
                               int level)